﻿using System;
using System.Windows.Controls;
using System.Windows.Input;
using Telerik.Windows.Controls.Map;

namespace ShowChildWindow
{
    public partial class MainPage : UserControl
    {
        private bool initialized;

        public MainPage()
        {
            InitializeComponent();

            this.radMap.InitializeCompleted += new EventHandler(radMap_InitializeCompleted);
        }

        void radMap_InitializeCompleted(object sender, EventArgs e)
        {
            if (!this.initialized)
            {
                this.initialized = true;

                // add pushpin
                var pushpin = new Pushpin();
                MapLayer.SetLocation(pushpin, new Location(40, -100));
                pushpin.MouseLeftButtonDown += new MouseButtonEventHandler(pushpin_MouseLeftButtonDown);

                this.informationLayer.Items.Add(pushpin);
            }
        }

        void pushpin_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            var window = new ChildWindow()
            {
                Content = "Pushpin info"
            };

            window.Show();

            // prevent propagating event to the map
            e.Handled = true;
        }
    }
}
